Docs/API Reference/Transactions

List Booking.com transactions

Transactions · GET /v1/channels/booking/transactions

List Booking.com transactions

GET/v1/channels/booking/transactions

Note

The Booking.com ledger only: payouts and reservation charges with gross, commission, payments service fee and net. Same row shape as GET /v1/transactions.

Request

curl https://api.repull.dev/v1/channels/booking/transactions?is_payout=true \
  -H "Authorization: Bearer $REPULL_API_KEY"

Response

{
  "data": [ { "transactionId": "booking_payout_5463377687_bank_transfer", "platform": "booking", "type": "Payout", "isPayout": true, "amount": 18597.12, "grossAmount": 22272, "currency": "NOK" } ],
  "pagination": { "nextCursor": null, "hasMore": false }
}

Query Parameters

typestring

Transaction type, e.g. Payout, Reservation, Refund.

statusstring

Filter by status.

is_payoutboolean

true for payout rows only.

limitintegerDefault: 100

Page size, up to 500.

cursorstring

`pagination.nextCursor` from the previous page.

AI